org.fife.ui.rsyntaxtextarea.folding

## Class XmlFoldParser

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.folding.XmlFoldParser

All Implemented Interfaces:
  FoldParser

    public class XmlFoldParser
    extends Object
    implements FoldParser

Fold parser for XML. Any tags that span more than one line, as well as comment regions spanning more than one line, are identified as foldable regions.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`XmlFoldParser()`

### Method Summary

Methods
`List<Fold>` `getFolds(RSyntaxTextArea textArea)` Returns a list of all folds in the text area.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlFoldParser

    public XmlFoldParser()

### Method Detail

#### getFolds

    public List<Fold> getFolds(RSyntaxTextArea textArea)

Returns a list of all folds in the text area.

Specified by:
  `getFolds` in interface `FoldParser`
Parameters:
  `textArea` - The text area whose contents should be analyzed.
Returns:
  The list of folds. If this method returns `null`, it is treated as if no folds were found.